package com.innoq.procurement;

import nu.xom.Element;

import javax.ws.rs.ext.MessageBodyWriter;
import javax.ws.rs.ext.Provider;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.MultivaluedMap;
import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;

import static com.innoq.procurement.Utilities.NAMESPACE;
import static com.innoq.procurement.Utilities.writeElementToStream;
import com.innoq.procurement.entities.Customer;

@Provider
public class CustomerListWriter implements MessageBodyWriter<CustomerList> {
    public boolean isWriteable(Class<?> type) {
        return CustomerList.class.isAssignableFrom(type);
    }

    public long getSize(CustomerList customerList) {
        return -1;
    }

    public void writeTo(CustomerList customers, MediaType mediaType, MultivaluedMap<String, Object> httpHeaders, OutputStream entityStream) throws IOException {
        Element root = new Element("customers", NAMESPACE);
        for (Customer customer : customers) {
            if (customer != null) {
                Element customerElement = new Element("customer", NAMESPACE);
                customerElement.appendChild(customer.getName());
                root.appendChild(customerElement);
            }
        }

        writeElementToStream(root, entityStream);
    }


}
