package com.innoq.procurement;

import com.innoq.procurement.entities.Customer;
import static com.innoq.procurement.Utilities.NAMESPACE;
import static com.innoq.procurement.Utilities.writeElementToStream;

import javax.ws.rs.ext.MessageBodyWriter;
import javax.ws.rs.ext.Provider;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.MultivaluedMap;
import javax.ws.rs.ProduceMime;
import javax.ws.rs.ConsumeMime;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

import nu.xom.Element;

@Provider
@ProduceMime({"application/vnd.innoq.customer+xml", "text/plain"})
public class CustomerWriter implements MessageBodyWriter<Customer> {
    public boolean isWriteable(Class<?> type) {
        return Customer.class.isAssignableFrom(type);
    }

    public long getSize(Customer customer) {
        return -1;
    }

    public void writeTo(Customer customer, MediaType mediaType, MultivaluedMap<String, Object> httpHeaders, OutputStream entityStream) throws IOException {
        if (mediaType.getType().compareTo("application") == 0 &&
                mediaType.getSubtype().compareTo("vnd.innoq.customer+xml") == 0) {
            Element root = new Element("customer", NAMESPACE);
            Element name = new Element("name", NAMESPACE);
            name.appendChild(customer.getName());
            root.appendChild(name);
            writeElementToStream(root, entityStream);
        } else if (mediaType.getType().compareTo("text") == 0 &&
                mediaType.getSubtype().compareTo("plain") == 0) {
            OutputStreamWriter osw = new OutputStreamWriter(entityStream);
            osw.write("Customer: \"");
            osw.write(customer.getName());
            osw.write("\"\n");
            osw.close();
        }
    }

}
