package com.innoq.procurement.resources;

import com.innoq.procurement.entities.Customer;
import static com.innoq.procurement.Utilities.*;
import com.innoq.procurement.Utilities;
import com.innoq.procurement.CustomerList;

import javax.ws.rs.*;
import javax.ws.rs.core.Response;
import java.util.List;

import nu.xom.*;


@Path("customers/")
public class CustomersResource {


    @GET @ProduceMime("application/vnd.innoq.customers+xml")
    public CustomerList getAsXml() {
        return Customer.findAll();
    }

    @POST @ConsumeMime("application/vnd.innoq.customer+xml")
    public Response newCustomer(Customer c) {
        Customer.add(c);
        return Response.ok().build();
    }


    @Path("{id}")
    public CustomerResource customerById(@PathParam("id") int id) {
        return new CustomerResource(Customer.get(id));
    }

  
    @GET @ProduceMime("text/plain")
    public String getAsPlainText() {
        return toString() +  "\n\n";
    }


}
