package com.innoq.procurement.resources;

import com.innoq.procurement.entities.Customer;
import static com.innoq.procurement.Utilities.*;

import javax.ws.rs.core.Response;
import javax.ws.rs.*;
import java.util.List;


@Path("customers/")
public class CustomersResource {


    @GET @ProduceMime("application/vnd.innoq.customers+xml")
    public List<Customer> getAsXml() {
        return Customer.findAll();
    }

    @POST @ConsumeMime("application/vnd.innoq.customer+xml")
    public Response newCustomer(Customer c) {
        int id = Customer.add(c);
        return Response.created(customerPath(id)).build();
    }


    @Path("{id}")
    public CustomerResource customerById(@PathParam("id") int id) {
        return new CustomerResource(Customer.get(id));
    }

  
    @GET @ProduceMime("text/plain")
    public String getAsPlainText() {
        return toString() +  "\n\n";
    }


}
